import { defineConfig } from 'vitepress'
import { transformerTwoslash } from '@shikijs/vitepress-twoslash'

// https://vitepress.dev/reference/site-config
export default defineConfig({
  title: "Entity Seven Docs",
  description: "Short and descriptive",

  lastUpdated: true,

  markdown: {
    codeTransformers: [
      transformerTwoslash({

      })
    ],
    languages: ['js', 'ts']
  },

  themeConfig: {
    // https://vitepress.dev/reference/default-theme-config

    search: {
      provider: 'local'
    },

    sidebar: {
      '/rage-fw-rpc/': [
        {
          text: 'Versions',
          collapsed: true,
          items: [
            { text: '0.3.0 (latest)', link: '/rage-fw-rpc/' },
            { text: '0.2.5', link: '/rage-fw-rpc/0.2.5' },
          ]
        }
      ],
    },

    socialLinks: [
      { icon: 'github', link: 'https://git.entityseven.com/entityseven' },
      { icon: 'discord', link: 'https://discord.com/qPb7CmDF4C' },
    ],
  }
})
